Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.palette
Interface PaletteFactory

All Known Implementing Classes:
  PaletteFactory.Adapter

public interface PaletteFactory

Nested Class Summary
`static class` `PaletteFactory.Adapter` An empty adapter for the interface

Method Summary
`Tool` `createTool(java.lang.String toolId)` Creates a new instance of the tool with the given id
`java.lang.Object` `getTemplate(java.lang.String templateId)` Gets the palette template with the given id

Method Detail

### createTool

    public Tool createTool(java.lang.String toolId)

  Creates a new instance of the tool with the given id

  Parameters:
    `toolId` - The tool Id
  Returns:
    the created tool

### getTemplate

    public java.lang.Object getTemplate(java.lang.String templateId)

  Gets the palette template with the given id

  Parameters:
    `templateId` - The template id
  Returns:
    the template

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.